Search documentation of polar_express

# PolarExpress.Schemas.SystemEvent (polar_express v0.1.5)

Copy Markdown View Source

SystemEvent union type.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() ::
      PolarExpress.Schemas.MeterCreditEvent.t()
      | PolarExpress.Schemas.MeterResetEvent.t()
      | PolarExpress.Schemas.BenefitGrantedEvent.t()
      | PolarExpress.Schemas.BenefitCycledEvent.t()
      | PolarExpress.Schemas.BenefitUpdatedEvent.t()
      | PolarExpress.Schemas.BenefitRevokedEvent.t()
      | PolarExpress.Schemas.SubscriptionCreatedEvent.t()
      | PolarExpress.Schemas.SubscriptionCycledEvent.t()
      | PolarExpress.Schemas.SubscriptionCanceledEvent.t()
      | PolarExpress.Schemas.SubscriptionRevokedEvent.t()
      | PolarExpress.Schemas.SubscriptionUncanceledEvent.t()
      | PolarExpress.Schemas.SubscriptionProductUpdatedEvent.t()
      | PolarExpress.Schemas.SubscriptionSeatsUpdatedEvent.t()
      | PolarExpress.Schemas.SubscriptionBillingPeriodUpdatedEvent.t()
      | PolarExpress.Schemas.OrderPaidEvent.t()
      | PolarExpress.Schemas.OrderRefundedEvent.t()
      | PolarExpress.Schemas.CheckoutCreatedEvent.t()
      | PolarExpress.Schemas.CustomerCreatedEvent.t()
      | PolarExpress.Schemas.CustomerUpdatedEvent.t()
      | PolarExpress.Schemas.CustomerDeletedEvent.t()
      | PolarExpress.Schemas.BalanceOrderEvent.t()
      | PolarExpress.Schemas.BalanceCreditOrderEvent.t()
      | PolarExpress.Schemas.BalanceRefundEvent.t()
      | PolarExpress.Schemas.BalanceRefundReversalEvent.t()
      | PolarExpress.Schemas.BalanceDisputeEvent.t()
      | PolarExpress.Schemas.BalanceDisputeReversalEvent.t()

## Functions

# schema_name()